#include <bits/stdc++.h>
using namespace std;
long long n,x,mx,mn,a,res;
int main () {
scanf("%lld%lld",&n,&x);
mx=x;
mn=x;
for (int i=1;i<=n;i++){
  scanf("%lld",&a);
  mx=max(mx,a);
  mn=min(mn,a);
}
res=min(abs(x-mn),abs(x-mx))*2+max(abs(x-mn),abs(x-mx));
printf("%lld\n",res);
return 0;
}